package com.hfkj.sysenum;

import java.util.Objects;

/**
 * @className: MerPlatformNoStatus
 * @author: HuRui
 * @date: 2023/8/30
 **/
public enum MerPlatformNoStatusEnum {
    status0(0, "不可用"),
    status1(1, "可用"),
    status2(2, "审核中"),
    status3(3, "审核驳回"),
    ;

    private Integer number;

    private String name;


    MerPlatformNoStatusEnum(int number, String name) {
        this.number = number;
        this.name = name;
    }

    public static MerPlatformNoStatusEnum getDataByNumber(Integer number) {
        for (MerPlatformNoStatusEnum ele : values()) {
            if (Objects.equals(number,ele.getNumber())) {
                return ele;
            }
        }
        return null;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
